<?xml version="1.0" encoding="UTF-8"?>

<!--
  ~
  ~      Copyright (c) 2018-2025, lengleng All rights reserved.
  ~
  ~  Redistribution and use in source and binary forms, with or without
  ~  modification, are permitted provided that the following conditions are met:
  ~
  ~ Redistributions of source code must retain the above copyright notice,
  ~  this list of conditions and the following disclaimer.
  ~  Redistributions in binary form must reproduce the above copyright
  ~  notice, this list of conditions and the following disclaimer in the
  ~  documentation and/or other materials provided with the distribution.
  ~  Neither the name of the yifu4cloud.com developer nor the names of its
  ~  contributors may be used to endorse or promote products derived from
  ~  this software without specific prior written permission.
  ~  Author: lengleng (wangiegie@gmail.com)
  ~
  -->

<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.yifu.cloud.plus.v1.yifu.social.mapper.TSocialFreindPushAndGetMapper">

  <resultMap id="tSocialFreindPushAndGetMap" type="com.yifu.cloud.plus.v1.yifu.social.entity.TSocialFreindPushAndGet">
    <id property="id" column="ID"/>
    <result property="type" column="TYPE"/>
    <result property="createTime" column="CREATE_TIME"/>
    <result property="createUserName" column="CREATE_USER_NAME"/>
  </resultMap>
    <sql id="Base_Column_List">
                a.ID,
                a.TYPE,
                a.CREATE_TIME,
                a.CREATE_USER_NAME
    </sql>
    <sql id="tSocialFreindPushAndGet_where">
        <if test="tSocialFreindPushAndGet != null">
                    <if test="tSocialFreindPushAndGet.id != null and tSocialFreindPushAndGet.id.trim() != ''">
                        AND a.ID = #{tSocialFreindPushAndGet.id}
                    </if>
                    <if test="tSocialFreindPushAndGet.type != null">
                        AND a.TYPE = #{tSocialFreindPushAndGet.type}
                    </if>
                    <if test="tSocialFreindPushAndGet.createTime != null">
                        AND a.CREATE_TIME = #{tSocialFreindPushAndGet.createTime}
                    </if>
                    <if test="tSocialFreindPushAndGet.createUserName != null and tSocialFreindPushAndGet.createUserName.trim() != ''">
                        AND a.CREATE_USER_NAME = #{tSocialFreindPushAndGet.createUserName}
                    </if>
        </if>
    </sql>
    <!--获取当前类型最大的时间，用来判断10分钟内是否有操作过-->
    <select id="getMaxTimeByType" resultType="java.time.LocalDateTime">
        SELECT
        	max(a.CREATE_TIME)
        FROM t_social_freind_push_and_get a
        where a.TYPE = #{type}
    </select>

</mapper>
